package helper

import (
	"testing"
	"time"
)

func TestDuration(t *testing.T) {
	str := "2024-09-13 16:46:00"
	timeObj, err := Parse(str)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(timeObj)
	got, err := Duration(&timeObj)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(got)
}

func TestParse(t *testing.T) {
	got, err := Parse("2024-10-31 23:59:59")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(got)
	t.Log(time.Now().Format("20060102150405"))
	t.Log(got.Format("20060102150405"))
}
